\documentclass[a4paper, trou]{./tpl/ddpoly-en}
\usepackage{dirtree}
\usepackage{wasysym}
\usepackage{mathtools}
\usepackage{enumitem}
\setlist{nolistsep}

\input{macro}
\input{tpl/listing-config}

  
\graphicspath{{tpl/}{img/}}
\ddmodulename{Computer Science}
\ddmodulenumber{Tutorial minidem}
\ddauthor{D. André}
\dduniv{Esil-Ensci}
\ddimg{\begin{center}\includegraphics[width=6cm]{img/arduino-logo}\end{center}}
\rien



\begin{document}
\renewcommand{\labelitemi}{$\bullet$}
\lstset{language=granCpp,style=granCpp}  
\lstset{language=granPython,style=granPython}  




\newdemexo{08}{imposing movements (part 1)}

\noindent The goal of this tutorial is to show you how to impose movements on the grains. In this example, the first layer of grains (colored in gray) is fixed. To achieve this, these grains are added to the list \texttt{gray\_grain\_list}. This list is then used in the function \texttt{apply\_boundary\_condition()} to fix the position of these grains and make them immobile. 

\vspace{0.5cm}

\begin{task}
  Download the module \dldem{minidem.py} and the script
  \dltutodem{08}{tuto-08\_exercice.py}. Run the script
  \dltutodem{08}{tuto-08\_exercice.py}.
\end{task}

\begin{info}
At this stage, you should obtain a simulation similar to the video \dltutodem{08}{tuto-08\_exercice.mp4}.
\end{info}

\begin{task}
  Modify the function \texttt{apply\_boundary\_condition()} to "raise" the gray grains during the simulation (at a speed of 1 m/s). \textit{To do this, you need to overwrite the current value of the movements to replace them with new values suited to the conditions you wish to impose.}
\end{task}

\begin{info}
  At this stage, you should observe an odd behavior in the contacts between the gray and blue grains. To fix this issue, you should also impose a velocity on the grains.
\end{info}


\begin{task}
  Modify the function \texttt{apply\_boundary\_condition()} to impose a velocity of 1 m/s on the gray grains (in addition to the movements).
\end{task}

\begin{info}
  At this stage, you should obtain a simulation similar to the video \dltutodem{08}{tuto-08\_correction.mp4}.
\end{info}

\end{document}
